Bug 1283461 - [abrt] ncmpcpp: MPD::Connection::checkErrors(): ncmpcpp killed by SIGABRT
[abrt] ncmpcpp: MPD::Connection::checkErrors(): ncmpcpp killed by SIGABRT
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ncmpcpp (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:082ded30c62b409e893b09be99d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 21:51 EST by sedrubal
Modified: 2016-12-06 05:25 EST (History)
2 users (show)

See Also:
Fixed In Version: ncmpcpp-0.7.7-1.fc25 ncmpcpp-0.7.7-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-05 16:42:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (11.32 KB, text/plain)
2015-11-18 21:51 EST, sedrubal
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-18 21:51 EST, sedrubal
no flags Details
File: core_backtrace (2.69 KB, text/plain)
2015-11-18 21:51 EST, sedrubal
no flags Details
File: dso_list (4.62 KB, text/plain)
2015-11-18 21:51 EST, sedrubal
no flags Details
File: environ (4.01 KB, text/plain)
2015-11-18 21:51 EST, sedrubal
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-18 21:52 EST, sedrubal
no flags Details
File: maps (21.89 KB, text/plain)
2015-11-18 21:52 EST, sedrubal
no flags Details
File: mountinfo (3.62 KB, text/plain)
2015-11-18 21:52 EST, sedrubal
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-18 21:52 EST, sedrubal
no flags Details
File: open_fds (304 bytes, text/plain)
2015-11-18 21:52 EST, sedrubal
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2015-11-18 21:52 EST, sedrubal
no flags Details
File: var_log_messages (307 bytes, text/plain)
2015-11-18 21:52 EST, sedrubal
no flags Details

  None (edit)
Description sedrubal 2015-11-18 21:51:49 EST
Description of problem:
- Connecting to a password protected mpdserver
- Hitted Ctrl+C to abort

Version-Release number of selected component:
ncmpcpp-0.6.4-5.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        ncmpcpp -c -M -h 172.17.8.16
crash_function: MPD::Connection::checkErrors
executable:     /usr/bin/ncmpcpp
global_pid:     28432
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #6 MPD::Connection::checkErrors at mpdpp.cpp:848
 #7 MPD::Connection::SendPassword at mpdpp.cpp:105
 #8 Status::handleServerError at status.cpp:174
Comment 1 sedrubal 2015-11-18 21:51:53 EST
Created attachment 1096460 [details]
File: backtrace
Comment 2 sedrubal 2015-11-18 21:51:54 EST
Created attachment 1096462 [details]
File: cgroup
Comment 3 sedrubal 2015-11-18 21:51:55 EST
Created attachment 1096464 [details]
File: core_backtrace
Comment 4 sedrubal 2015-11-18 21:51:57 EST
Created attachment 1096466 [details]
File: dso_list
Comment 5 sedrubal 2015-11-18 21:51:58 EST
Created attachment 1096468 [details]
File: environ
Comment 6 sedrubal 2015-11-18 21:52:00 EST
Created attachment 1096470 [details]
File: limits
Comment 7 sedrubal 2015-11-18 21:52:01 EST
Created attachment 1096472 [details]
File: maps
Comment 8 sedrubal 2015-11-18 21:52:02 EST
Created attachment 1096474 [details]
File: mountinfo
Comment 9 sedrubal 2015-11-18 21:52:04 EST
Created attachment 1096476 [details]
File: namespaces
Comment 10 sedrubal 2015-11-18 21:52:05 EST
Created attachment 1096478 [details]
File: open_fds
Comment 11 sedrubal 2015-11-18 21:52:06 EST
Created attachment 1096480 [details]
File: proc_pid_status
Comment 12 sedrubal 2015-11-18 21:52:08 EST
Created attachment 1096481 [details]
File: var_log_messages
Comment 13 Fedora Update System 2016-11-24 06:28:21 EST
ncmpcpp-0.7.7-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d095fbda45
Comment 14 Fedora Update System 2016-11-24 06:28:36 EST
ncmpcpp-0.7.7-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2260779c40
Comment 15 Fedora End Of Life 2016-11-24 08:34:18 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora Update System 2016-11-25 04:40:19 EST
ncmpcpp-0.7.7-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2260779c40
Comment 17 Fedora Update System 2016-11-25 04:43:26 EST
ncmpcpp-0.7.7-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d095fbda45
Comment 18 Fedora Update System 2016-12-05 16:42:09 EST
ncmpcpp-0.7.7-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-12-06 05:25:46 EST
ncmpcpp-0.7.7-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.